Get Order by ID
curl --request GET \
--url https://app.polygon-one.com/api/orders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.polygon-one.com/api/orders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.polygon-one.com/api/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderNumber": "<string>",
"orderDate": "2023-11-07T05:31:56Z",
"orderType": "purchase",
"supplier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"contactName": "<string>",
"country": "<string>",
"externalSupplierId": "<string>",
"address": {
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"additional": "<string>",
"validated": true,
"latitude": 123,
"longitude": 123
},
"status": "data_incomplete",
"isCompanySelf": true,
"articles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"internalArticleNr": "<string>",
"externalArticleNr": "<string>",
"hsCode": "<string>",
"ean": "<string>",
"shortDescription": "<string>",
"eudrRelevant": true,
"articleType": "purchase",
"commodityGroup": "cattle",
"suppliers": "<array>",
"complianceResults": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplierArticleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overallStatus": "compliant",
"geoStatus": "compliant",
"legalStatus": "compliant",
"generatedReportUrl": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"countryOfProduction": "<string>"
}
]
},
"totalVolume": 123,
"lines": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"article": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"internalArticleNr": "<string>",
"externalArticleNr": "<string>",
"hsCode": "<string>",
"ean": "<string>",
"shortDescription": "<string>",
"eudrRelevant": true,
"articleType": "purchase",
"commodityGroup": "cattle",
"suppliers": "<array>",
"complianceResults": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplierArticleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overallStatus": "compliant",
"geoStatus": "compliant",
"legalStatus": "compliant",
"generatedReportUrl": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"countryOfProduction": "<string>"
},
"quantity": 123,
"pieceCount": 123,
"volumeM3": 123,
"dryWeight90Kg": 123
}
],
"ddsReferences": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referenceNumber": "<string>",
"verificationNumber": "<string>"
}
]
}{
"error": "<string>",
"details": "<unknown>"
}Orders
Get Order by ID
GET
/
api
/
orders
/
{id}
Get Order by ID
Authorizations
API key generated in Settings > API Keys. Include as Authorization: Bearer <key>.
Path Parameters
Response
Order details including lines and DDS references
purchase = inbound order from a supplier, sale = outbound order to a customer
Available options:
purchase, sale Show child attributes
Show child attributes
Sum of all order line quantities
Show child attributes
Show child attributes
DDS statements linked to this order
Show child attributes
Show child attributes
⌘I